// ScrollList Object
// Copyright 1999 Dan Steinman
// Available at the Dynamic Duo (http://www.dansteinman.com/dynduo/)
// Feb 7, 1999.
// In order to use this code you must keep this disclaimer

function ScrollList(x,y,width,height) {
	this.name = "ScrollList"+(ScrollList.count++)
	this.x = x
	this.y = y
	this.w = width
	this.h = height
	
	this.list = new List(0,0,this.w)
	this.scroll = new Scroll(0,0,this.w,this.h)
	this.scroll.setMargins(0,0,0,0)
	
	this.obj = this.name + "ScrollListObject"
	eval(this.obj + "=this")
	this.build = ScrollListBuild
	this.activate = ScrollListActivate
}
function ScrollListBuild(write) {
	this.scroll.build(false)
	this.list.build()

	this.css = css(this.name,this.x,this.y)+
	this.scroll.css+
	this.list.css

	this.div = '<div id="'+this.name+'">\n'+
	this.scroll.divStart+
	this.list.div+
	this.scroll.divEnd+
	'</div>'
}
function ScrollListActivate() {
	this.lyr = new DynLayer(this.name)
	this.list.activate()
	this.scroll.setHeight(this.list.h)
}
ScrollList.count = 0
